#pragma once
#include <nlohmann/json.hpp>
#include <map>

using std::string;

struct SendTo {
  string url = "";
  string bitrate = "";
};

struct Config {
  nlohmann::json json_config;
  string listen_at = "";
  string bitrate = "";
  int fail_max = 6;
  std::map<string, SendTo> send_to;

  Config(const string json_file);

  void load(const string file_name);
};
