#define FSM_DEBUG 1
#include <fmt/core.h>
#include "dbc.hpp"
#include "server.hpp"
#include "config.hpp"

using namespace fmt;

int main(int argc, char *argv[]) {
  dbc::check(argc == 2, "USAGE: distributary config.json");
  println("Using config {}", argv[1]);
  Config config(argv[1]);
  Server server(config);

  while(!server.stopped()) {
    server.event(ServerEvent::GO);
  }
}
